org.apache.commons.ssl.asn1

## Class BERSequenceGenerator

- java.lang.Object
- - org.apache.commons.ssl.asn1.ASN1Generator
  - - org.apache.commons.ssl.asn1.BERGenerator
    - - org.apache.commons.ssl.asn1.BERSequenceGenerator

    public class BERSequenceGenerator
    extends BERGenerator

### Field Summary

### Fields inherited from class org.apache.commons.ssl.asn1.ASN1Generator

`_out`

### Constructor Summary

Constructors
Constructor and Description
`BERSequenceGenerator(java.io.OutputStream out)`
`BERSequenceGenerator(java.io.OutputStream out, int tagNo, boolean isExplicit)`

### Method Summary

Methods
`void` `addObject(DEREncodable object)`
`void` `close()`

### Methods inherited from class org.apache.commons.ssl.asn1.BERGenerator

`getRawOutputStream, writeBERBody, writeBEREnd, writeBERHeader`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BERSequenceGenerator

    public BERSequenceGenerator(java.io.OutputStream out)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

#### BERSequenceGenerator

    public BERSequenceGenerator(java.io.OutputStream out,
                        int tagNo,
                        boolean isExplicit)
                         throws java.io.IOException

Throws:
  `java.io.IOException`

### Method Detail

#### addObject

    public void addObject(DEREncodable object)
                   throws java.io.IOException

Throws:
  `java.io.IOException`

#### close

    public void close()
               throws java.io.IOException

Throws:
  `java.io.IOException`